HIPCONFIG(1)

NAME
hipconfig - HIP configuration information utility

SYNOPSIS
usage: hipconfig [OPTIONS]

DESCRIPTION
The hipconfig utility is used to query information about the HIP installation, such as the version, installation path, compiler, or target platform.

OPTIONS

--path,  -p
    : print HIP_PATH (use env var if set, else determine from hipconfig path)

--rocmpath,  -R
    : print ROCM_PATH (use env var if set, else determine from hip path or /opt/rocm)

--cpp_config, -C
    : print C++ compiler options

--compiler, -c
    : print compiler (clang or nvcc)

--platform, -P
    : print platform (amd or nvidia)

--runtime, -r
    : print runtime (rocclr or cuda)

--hipclangpath, -l : print HIP_CLANG_PATH

--full, -f
    : print full config

--version, -v
    : print hip version

--check
    : check configuration

--newline, -n
    : print newline

--help, -h
    : print help message

ENVIRONMENT

HIP_PLATFORM
    The $HIP_PLATFORM variable is used to explicitly specify the target platform for hipcc. Valid options are "amd" and "nvidia".

HIP_COMPILER
    The $HIP_COMPILER variable is used to specify the target compiler for hipcc. Valid options are "clang" and "nvcc". This variable is usually set automatically based on the value of the $HIP_PLATFORM variable

HIP_RUNTIME
    The $HIP_RUNTIME variable is used to specify the target runtime for hipcc. Valid options are "rocclr" and "cuda". This variable is usually set automatically based on the value of the $HIP_PLATFORM variable

ROCM_PATH
    The $ROCM_PATH variable is used to specify the path to the AMD ROCm tools and libraries. This variable defaults to "/usr".

CUDA_PATH
    The $CUDA_PATH variable is used to specify the path to the CUDA tools and libraries. This variable defaults to "/usr/local/cuda".

HIP_PATH
    The $HIP_PATH variable is used to specify the path to the base directory of the HIP runtime library. This variable is not typically used when building on Debian.

HIP_ROCCLR_HOME
    The $HIP_ROCCLR_HOME variable is used to specify the path to the base directory of the HIP runtime library. This variable is not typically used when building on Debian.

HIP_CLANG_PATH
    The $HIP_CLANG_PATH variable is used to specify the path to the base directory of the HIP clang compiler. This variable is not typically used when building on Debian.